<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Coord.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">dto.openweather</a> &gt; <span class="el_source">Coord.java</span></div><h1>Coord.java</h1><pre class="source lang-java linenums">/*
 * OpenWeatherMap API
 * Sample OpenWeather API.
 *
 * OpenAPI spec version: 2.5
 * Contact: kpshinde25@gmail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package dto.openweather;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import io.swagger.v3.oas.annotations.media.Schema;
import java.math.BigDecimal;
import java.io.Serializable;
import javax.validation.constraints.*;
import javax.validation.Valid;

/**
 * Coord
 */
<span class="nc" id="L27">@javax.annotation.Generated(value = &quot;io.swagger.codegen.v3.generators.java.JavaJerseyServerCodegen&quot;, date = &quot;2023-11-24T13:51:58.004723400+01:00[Europe/Paris]&quot;)public class Coord  implements Serializable  {</span>
<span class="nc" id="L28">  @JsonProperty(&quot;lon&quot;)</span>
  private BigDecimal lon = null;

<span class="nc" id="L31">  @JsonProperty(&quot;lat&quot;)</span>
  private BigDecimal lat = null;

  public Coord lon(BigDecimal lon) {
<span class="nc" id="L35">    this.lon = lon;</span>
<span class="nc" id="L36">    return this;</span>
  }

  /**
   * City geo location, longitude
   * @return lon
   **/
  @JsonProperty(&quot;lon&quot;)
  @Schema(example = &quot;72.85&quot;, description = &quot;City geo location, longitude&quot;)
  @Valid
  public BigDecimal getLon() {
<span class="nc" id="L47">    return lon;</span>
  }

  public void setLon(BigDecimal lon) {
<span class="nc" id="L51">    this.lon = lon;</span>
<span class="nc" id="L52">  }</span>

  public Coord lat(BigDecimal lat) {
<span class="nc" id="L55">    this.lat = lat;</span>
<span class="nc" id="L56">    return this;</span>
  }

  /**
   * City geo location, latitude
   * @return lat
   **/
  @JsonProperty(&quot;lat&quot;)
  @Schema(example = &quot;19.01&quot;, description = &quot;City geo location, latitude&quot;)
  @Valid
  public BigDecimal getLat() {
<span class="nc" id="L67">    return lat;</span>
  }

  public void setLat(BigDecimal lat) {
<span class="nc" id="L71">    this.lat = lat;</span>
<span class="nc" id="L72">  }</span>


  @Override
  public boolean equals(java.lang.Object o) {
<span class="nc bnc" id="L77" title="All 2 branches missed.">    if (this == o) {</span>
<span class="nc" id="L78">      return true;</span>
    }
<span class="nc bnc" id="L80" title="All 4 branches missed.">    if (o == null || getClass() != o.getClass()) {</span>
<span class="nc" id="L81">      return false;</span>
    }
<span class="nc" id="L83">    Coord coord = (Coord) o;</span>
<span class="nc bnc" id="L84" title="All 2 branches missed.">    return Objects.equals(this.lon, coord.lon) &amp;&amp;</span>
<span class="nc bnc" id="L85" title="All 2 branches missed.">        Objects.equals(this.lat, coord.lat);</span>
  }

  @Override
  public int hashCode() {
<span class="nc" id="L90">    return Objects.hash(lon, lat);</span>
  }


  @Override
  public String toString() {
<span class="nc" id="L96">    StringBuilder sb = new StringBuilder();</span>
<span class="nc" id="L97">    sb.append(&quot;class Coord {\n&quot;);</span>
    
<span class="nc" id="L99">    sb.append(&quot;    lon: &quot;).append(toIndentedString(lon)).append(&quot;\n&quot;);</span>
<span class="nc" id="L100">    sb.append(&quot;    lat: &quot;).append(toIndentedString(lat)).append(&quot;\n&quot;);</span>
<span class="nc" id="L101">    sb.append(&quot;}&quot;);</span>
<span class="nc" id="L102">    return sb.toString();</span>
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
<span class="nc bnc" id="L110" title="All 2 branches missed.">    if (o == null) {</span>
<span class="nc" id="L111">      return &quot;null&quot;;</span>
    }
<span class="nc" id="L113">    return o.toString().replace(&quot;\n&quot;, &quot;\n    &quot;);</span>
  }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>